Skip to content

A code to set a new password goes to the email, if it has an account. 202 either way.

POST
/api/auth/password/forgot
curl --request POST \
--url https://example.com/api/auth/password/forgot \
--header 'Content-Type: application/json' \
--data '{ "email": "example", "proof": { "token": "example", "number": 1 } }'
Media typeapplication/json
object
email
required
string
proof
One of:
null

Example generated

{
"email": "example",
"proof": {
"token": "example",
"number": 1
}
}

Accepted

Media typeapplication/json
object
attemptId
required
string format: uuid

Example generated

{
"attemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}